/*********************************************************************

  proptreepane.h

  Author:  Russell Morris
  Release: February 26, 1997

  Class definition of TPropTreePane

*********************************************************************/
#if !defined(pane_h)              // Sentry, use file only if it's not already included.
#define pane_h

#include <owl/dialog.h>

#include "proptree.h"

class TPropTreePane : public TDialog {
  public:
    TPropTreePane( TPropTreeDialog* parent,
                   uint32 uniqueId,
                   const char far* helpText,
                   TResId resId,
                   TModule* module = 0);
    virtual ~TPropTreePane();

  public:
    virtual	bool 	SetActive();
    virtual bool 	KillActive();
    virtual bool  Apply();
    virtual void 	Reset();
    virtual void 	Help();
    virtual bool 	QueryCancel();

    bool IsThisId( uint32 testId );

    string GetHelpText();
    uint32 GetId();

  protected:

    // Allow access to TPropTreePage parent
    //
    TPropTreeDialog*  GetPropTree();
    
    // Allow derived classes to tell parent they changed
    //
    void  PaneChanged();
    void  PaneUnchanged();

  private:
    string helpText;
    uint32 id;

};


inline bool
TPropTreePane::IsThisId( uint32 testId )
{
  return id == testId;
}


inline TPropTreeDialog*
TPropTreePane::GetPropTree()
{
  return dynamic_cast<TPropTreeDialog*>(Parent);
}


inline string
TPropTreePane::GetHelpText()
{
  return helpText;
}


inline uint32
TPropTreePane::GetId()
{
  return id;
}



#endif  // proptreepane_h sentry.

