#include <owl/pch.h>
#pragma hdrstop

#include "proptreepane.h"
#include "dullchild.h"
#include "proptree.rh"
#include "proptreeapp.rh"
#include "dullpropnode.h"

DEFINE_RESPONSE_TABLE1(TDullChildPane,TPropTreePane)
  EV_BN_CLICKED( IDC_NEXT, CmNextPane ),
  EV_BN_CLICKED( IDC_PREVIOUS, CmPreviousPane ),

  EV_BN_CLICKED( IDC_1, PaneChanged ),
  EV_BN_CLICKED( IDC_2, PaneChanged ),
  EV_BN_CLICKED( IDC_3, PaneChanged ),
  EV_BN_CLICKED( IDC_4, PaneChanged ),
  EV_BN_CLICKED( IDC_5, PaneChanged ),
  EV_BN_CLICKED( IDC_6, PaneChanged ),

  EV_EN_CHANGE( IDC_FIRSTNAME, PaneChanged ),
  EV_EN_CHANGE( IDC_LASTNAME, PaneChanged ),
  EV_EN_CHANGE( IDC_MIDDLENAME, PaneChanged ),

END_RESPONSE_TABLE;



TDullChildPane::TDullChildPane( TPropTreeDialog* parent, uint32 uniqueId,
                                const char far *text, TResId resId,
                                TModule* module)
:
TPropTreePane( parent, uniqueId, text, resId, module )
{
  box1 = new TCheckBox( this, IDC_1 );
  box2 = new TCheckBox( this, IDC_2 );
  box3 = new TCheckBox( this, IDC_3 );
  box4 = new TCheckBox( this, IDC_4 );
  box5 = new TCheckBox( this, IDC_5 );
  box6 = new TCheckBox( this, IDC_6 );

  first = new TEdit( this, IDC_FIRSTNAME );
  middle = new TEdit( this, IDC_MIDDLENAME );
  last = new TEdit( this, IDC_LASTNAME );
}


TDullChildPane::~TDullChildPane()
{
}


void
TDullChildPane::CmNextPane()
{
  if( GetId() != FATTYMCGEE && GetId() != EULER )
    GetPropTree()->SelectNextPane( TTreeNode::Next );
  else
    MessageBox("This is the last employee in the list");
}


void
TDullChildPane::CmPreviousPane()
{
  if( GetId() != JOEMAMA && GetId() != EINSTEIN )
    GetPropTree()->SelectNextPane( TTreeNode::Previous );
  else
    MessageBox("This is the first employee in the list");
}


void
TDullChildPane::Reset()
{
  box1->SetCheck(BF_UNCHECKED);
  box2->SetCheck(BF_UNCHECKED);
  box3->SetCheck(BF_UNCHECKED);
  box4->SetCheck(BF_UNCHECKED);
  box5->SetCheck(BF_UNCHECKED);
  box6->SetCheck(BF_UNCHECKED);

  first->SetText("");
  middle->SetText("");
  last->SetText("");
  MessageBox("Data Reset","Notification",MB_ICONINFORMATION);
}


bool
TDullChildPane::Apply()
{
  PaneUnchanged();
  MessageBox("Changes applied","Notification",MB_ICONINFORMATION);
  return false;
}
