#include <owl/pch.h>
#pragma hdrstop

#include "proptreepane.h"
#include "showoff1pane.h"
#include "dullpropnode.h"
#include "proptree.rh"
#include "proptreeapp.rh"

DEFINE_RESPONSE_TABLE1(TShowOff1Pane,TPropTreePane)

  EV_BN_CLICKED( IDC_SELECTPANE, CmSelectPane ),

END_RESPONSE_TABLE;

const int NUMNEXTCODES = 10;
static const char nextCodeStringArray[] = {
                    "Root",
                    "Next",
                    "Previous",
                    "Parent",
                    "Child",
                    "FirstVisible",
                    "NextVisible",
                    "PreviousVisible",
                    "DropHilite",
                    "Caret"
                  };
static const uint32 nextCodeArray[] = {
                      TVGN_ROOT,
                      TVGN_NEXT,
                      TVGN_PREVIOUS,
                      TVGN_PARENT,
                      TVGN_CHILD,
                      TVGN_FIRSTVISIBLE,
                      TVGN_NEXTVISIBLE,
                      TVGN_PREVIOUSVISIBLE,
                      TVGN_DROPHILITE,
                      TVGN_CARET
                    };

const int NUMPANEIDS = 13;
static const char paneIdStringArray[] = {
                    "INTRO",
                    "FAKEBUSINESSINTRO",
                    "MARKETTING",
                    "JOEMAMA",
                    "ANGIEDADDY",
                    "FATTYMCGEE",
                    "RESEARCH",
                    "EINSTEIN",
                    "FARRADAY",
                    "EULER",
                    "SHOWOFFINTRO",
                    "SHOWOFF",
                    "SHOWOFF2"
                  };
static const char paneIdArray[] = {
                    INTRO,
                    FAKEBUSINESSINTRO,
                    MARKETTING,
                    JOEMAMA,
                    ANGIEDADDY,
                    FATTYMCGEE,
                    RESEARCH,
                    EINSTEIN,
                    FARRADAY,
                    EULER,
                    SHOWOFFINTRO,
                    SHOWOFF,
                    SHOWOFF2
                  };


TShowOff1Pane::TShowOff1Pane( TWindow* parent, uint32 uniqueId,
                                string text, TResId resId,
                                TModule* module)
:
TPropTreePane( parent, uniqueId, text, resId, module )
{
  nextCodeRadio = new TRadioButton( this, IDC_NEXTCODERADIO );
  paneIdRadio   = new TRadioButton( this, IDC_PANEID );

  nextCodeCombo = new TComboBox( this, IDC_NEXTCODE );
  paneIdCombo   = new TComboBox( this, IDC_PANEID );
}


TShowOff1Pane::~TShowOff1Pane()
{
}


//
// Response to a user pressing the TPropTreeDialog's Reset button.
// A "real" TPropTreePane would restore its controls to the state
// they were in after the last press of the Apply button.
//
void
TShowOff1Pane::Reset()
{
  MessageBox("Pane successfully reset.","Reset notification",MB_ICONINFORMATION);
}

//
// If the user has checked the "Refuse to apply changes..." checkbox,
// return true to stop the Apply process.
//
bool
TShowOff1Pane::Apply()
{
  MessageBox("Changes successfully applied","Apply notification",MB_ICONINFORMATION);

  PaneUnchanged();

  return false;
}


//
//
//
void
TShowOff1Pane::CmSelectPane()
{
  // Find out what they want to select and how
  //
  if( nextCodeRadio->GetCheck() == BF_CHECKED )
  {
    int index = nextCode->GetSelIndex();
    uint32 data = nextCode->GetItemData( index );

    GetPropTree()->SelectNextPane( data );
  }
  else
  {
    int index = paneId->GetSelIndex();
    uint32 data = nextId->GetItemData( index );

    GetPropTree()->SelectPane( data );
  }
}


//
//
//
void
TShowOff1Pane::SetupWindow()
{
  TPropTreePane::SetupWindow();

  for(int i=0; i<NUMNEXTCODES; i++)
  {
    paneId->InsertString( nextCodeStringArray[i], i );
    paneId->SetItemData( i, nextCodeArray[i] );
  }

  for(int i=0; i<NUMPANEIDS; i++)
  {
    paneId->InsertString( paneIdStringArray[i], i );
    paneId->SetItemData( i, nextCodeArray[i] );
  }
}
