#include <owl/pch.h>
#pragma hdrstop

#include "proptreepane.h"
#include "showoff1pane.h"
#include "dullpropnode.h"
#include "proptree.rh"
#include "proptreeapp.rh"

DEFINE_RESPONSE_TABLE1(TShowOff1Pane,TPropTreePane)

  EV_BN_CLICKED( IDC_SELECT, CmSelectPane ),

END_RESPONSE_TABLE;

const int NUMNEXTCODES = 10;
static const char *nextCodeStringArray[] = {
                    "Root",
                    "Next",
                    "Previous",
                    "Parent",
                    "Child",
                    "FirstVisible",
                    "NextVisible",
                    "PreviousVisible",
                    "DropHilite",
                    "Caret"
                  };
static const int nextCodeArray[] = {
                      TVGN_ROOT,
                      TVGN_NEXT,
                      TVGN_PREVIOUS,
                      TVGN_PARENT,
                      TVGN_CHILD,
                      TVGN_FIRSTVISIBLE,
                      TVGN_NEXTVISIBLE,
                      TVGN_PREVIOUSVISIBLE,
                      TVGN_DROPHILITE,
                      TVGN_CARET
                    };

const int NUMPANEIDS = 17;
static const char *paneIdStringArray[] = {
                    "INTRO",
                    "FAKEBUSINESS",
                    "MARKETTING",
                    "JOEMAMA",
                    "ANGIEDADDY",
                    "FATTYMCGEE",
                    "RESEARCH",
                    "EINSTEIN",
                    "FARRADAY",
                    "EULER",
                    "SHOWOFFINTRO",
                    "SHOWOFF",
                    "SHOWOFF + 1",
                    "SHOWOFF + 2",
                    "SHOWOFF2",
                    "SHOWOFF2 + 1",
                    "SHOWOFF2 + 2"
                  };
static const uint32 paneIdArray[] = {
                    INTRO,
                    FAKEBUSINESS,
                    MARKETING,
                    JOEMAMA,
                    ANGIEDADDY,
                    FATTYMCGEE,
                    RESEARCH,
                    EINSTEIN,
                    FARRADAY,
                    EULER,
                    SHOWOFFINTRO,
                    SHOWOFF,
                    SHOWOFF+1,
                    SHOWOFF+2,
                    SHOWOFF2,
                    SHOWOFF2+1,
                    SHOWOFF2+2
                  };


TShowOff1Pane::TShowOff1Pane( TPropTreeDialog* parent, uint32 uniqueId,
                                const char far* text, TResId resId,
                                TModule* module)
:
TPropTreePane( parent, uniqueId, text, resId, module )
{
  nextCodeRadio = new TRadioButton( this, IDC_NEXTCODERADIO );
  paneIdRadio   = new TRadioButton( this, IDC_PANEID );

  nextCodeCombo = new TComboBox( this, IDC_NEXTCODE );
  paneIdCombo   = new TComboBox( this, IDC_PANEID );
}


TShowOff1Pane::~TShowOff1Pane()
{
}


//
// Response to a user pressing the TPropTreeDialog's Reset button.
// A "real" TPropTreePane would restore its controls to the state
// they were in after the last press of the Apply button.
//
void
TShowOff1Pane::Reset()
{
  MessageBox("Pane successfully reset.","Reset notification",MB_ICONINFORMATION);
}

//
// If the user has checked the "Refuse to apply changes..." checkbox,
// return true to stop the Apply process.
//
bool
TShowOff1Pane::Apply()
{
  MessageBox("Changes successfully applied","Apply notification",MB_ICONINFORMATION);

  PaneUnchanged();

  return false;
}





void
TShowOff1Pane::CmSelectPane()
{
  // Find out what they want to select and how
  //
  if( nextCodeRadio->GetCheck() == BF_CHECKED )
  {
    int index = nextCodeCombo->GetSelIndex();
    uint32 data = nextCodeCombo->GetItemData( index );

    GetPropTree()->SelectNextPane( (TTreeNode::TNextCode)data );
  }
  else
  {
    int index = paneIdCombo->GetSelIndex();
    uint32 data = paneIdCombo->GetItemData( index );

    GetPropTree()->SelectPane( data );
  }
}


//
//
//
void
TShowOff1Pane::SetupWindow()
{
  TPropTreePane::SetupWindow();

  for(int i=0; i<NUMNEXTCODES; i++)
  {
    nextCodeCombo->InsertString( nextCodeStringArray[i], i );
    nextCodeCombo->SetItemData( i, nextCodeArray[i] );
  }

  for(int i=0; i<NUMPANEIDS; i++)
  {
    paneIdCombo->InsertString( paneIdStringArray[i], i );
    paneIdCombo->SetItemData( i, paneIdArray[i] );
  }
  paneIdRadio->SetCheck(BF_CHECKED);
  paneIdCombo->SetSelIndex(0);

  nextCodeCombo->SetSelIndex(0);
}
